// Версия сборки JCP. Вставляется при сборке дистрибутива.
var JCP_VERSION = "2.0";

function getElementsByClassName(findClass, parent) {

  // Загружаем все элементы данного класса в IE.

  parent = parent || document;
  var elements = parent.getElementsByTagName('*');
  var matching = [];

  for(var i = 0, elementsLength = elements.length; i < elementsLength; i++){
    if ((' ' + elements[i].className + ' ').indexOf(findClass) > -1) {
      matching.push(elements[i]);
    } // if
  } // for

  return matching;

}

function setVersion(elementClass) {

  // Элементы (span) для отображения версии JCP.
  
  var elements = null;
  
  var isOpera = !!window.opera || navigator.userAgent.indexOf(' OPR/') >= 0; // Opera 8.0+ (UA detection to detect Blink/v8-powered Opera)
  var isChrome = !!window.chrome && !isOpera;                                // Chrome 1+
  var isIE = false || document.documentMode;                                // At least IE6
  
  if (isIE) {
    elements = getElementsByClassName(elementClass, document);
  } // if
  else {
    elements = document.getElementsByClassName(elementClass);
  } // else
   
  if (elements != null) {
    var n = elements.length;
    for (var i = 0; i < n; i++) {
      var element = elements[i];
      element.innerHTML=JCP_VERSION;
    } // for
  } // if
}